org.apache.cassandra.metrics

## Class HintsServiceMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.HintsServiceMetrics

-     public final class HintsServiceMetrics
      extends java.lang.Object

  Metrics for `HintsService`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.codahale.metrics.Meter` | `hintsFailed`
    `static com.codahale.metrics.Meter` | `hintsSucceeded`
    `static com.codahale.metrics.Meter` | `hintsTimedOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HintsServiceMetrics()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hintsSucceeded

          public static final com.codahale.metrics.Meter hintsSucceeded

    - #### hintsFailed

          public static final com.codahale.metrics.Meter hintsFailed

    - #### hintsTimedOut

          public static final com.codahale.metrics.Meter hintsTimedOut

  - ### Constructor Detail

    - #### HintsServiceMetrics

          public HintsServiceMetrics()

Copyright © 2018 The Apache Software Foundation